include("run_experiments.jl")

const datapath = joinpath(@__DIR__, "..", "data")
const outpath = "/home/stev47/stuff/phd/data"

ctx = Util.Context(datapath, outpath)

# convergence

# algorithm comparison
ctx(experiment_convergence_rate, "fem/convergence/rate")


# adaptivity

# residual estimator, discrete g, good
# pd est, L2-TV, discrete g, good?
# pd est, zero
# pd est, L1-TV, bad


# applications

# denoising
ctx(experiment_denoise, "fem/denoise")
# inpainting
ctx(experiment_inpaint, "fem/inpaint")
# adaptive optical flow
ctx(experiment_optflow_middlebury_all, "fem/optflow/middlebury")
